Skip to main content
GET
Personal Cloud notifications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

view
enum<string>
Available options:
inbox,
needs_you,
history
q
string
Maximum string length: 200
unread
boolean
limit
integer
Required range: 1 <= x <= 100
before
string<date-time>

Both before and before_id must be supplied together.

before_id
string<uuid>

Both before and before_id must be supplied together.

organisation_id
string<uuid>

Optional assertion of the authenticated organisation; mismatch returns 409. Never selects authority.

viewer
string

Optional assertion of the authenticated subject; mismatch returns 409. Never selects authority.

Response

Cloud notification source

connected
boolean
required
items
object[]
required
Maximum array length: 100
has_more
boolean
required
unread
integer
required
Required range: x >= 0